<?php

namespace common\logic\Producer\ProducerPriceRange;

use common\logic\BaseBuilder;

class ProducerPriceRangeBuilder extends BaseBuilder
{
    public function instanciateProducerPriceRange(): ProducerPriceRange
    {
        $producerPriceRange = new ProducerPriceRange();

        return $producerPriceRange;
    }

    public function createProducerPriceRange(): ProducerPriceRange
    {
        $producerPriceRange = $this->instanciateProducerPriceRange();
        $this->saveCreate($producerPriceRange);

        return $producerPriceRange;
    }
}