<?php

namespace common\logic\User\UserGroup;

use common\logic\BaseBuilder;
use common\logic\BuilderInterface;

class UserGroupBuilder extends BaseBuilder implements BuilderInterface
{
    public function instanciateUserGroup(): UserGroup
    {
        $userGroup = new UserGroup();

        return $userGroup;
    }

    public function createUserGroup(): UserGroup
    {
        $userGroup = $this->instanciateUserGroup();
        $this->saveCreate($userGroup);

        return $userGroup;
    }
}