<?php

namespace common\logic\User\UserGroup;

use common\logic\BaseBuilder;
use common\logic\BaseService;
use common\logic\BuilderInterface;
use common\logic\User\UserUserGroup\UserUserGroup;

class UserUserGroupBuilder extends BaseBuilder implements BuilderInterface
{
    public function instanciateUserUserGroup(): UserUserGroup
    {
        $userUserGroup = new UserUserGroup();

        return $userUserGroup;
    }

    public function createUserUserGroup(): UserUserGroup
    {
        $userUserGroup = $this->instanciateUserUserGroup();
        $this->saveCreate($userUserGroup);

        return $userUserGroup;
    }
}