<?php

namespace common\logic\Distribution\PointSaleDistribution;

use common\logic\ContainerInterface;

class PointSaleDistributionContainer implements ContainerInterface
{
    public function getEntityFqcn(): string
    {
        return PointSaleDistribution::class;
    }

    public function getServices(): array
    {
        return [
            PointSaleDistributionRepository::class,
            PointSaleDistributionBuilder::class,
        ];
    }

    public function getRepository(): PointSaleDistributionRepository
    {
        return new PointSaleDistributionRepository();
    }

    public function getBuilder(): PointSaleDistributionBuilder
    {
        return new PointSaleDistributionBuilder();
    }
}