<?php

namespace common\logic\Document\DeliveryNote;

use common\logic\Document\Document\DocumentManager;
use common\logic\PointSale\PointSale\DeliveryNoteRepository;

/**
 * @mixin DeliveryNoteSolver
 * @mixin DeliveryNoteRepository
 * @mixin DeliveryNoteBuilder
 */
class DeliveryNoteManager extends DocumentManager
{
    public function __construct()
    {
        $this->setContainer(new DeliveryNoteContainer());
    }
}