<?php

namespace common\logic\PointSale\PointSale;

use common\logic\BaseService;
use common\logic\RepositoryInterface;

class QuotationRepository extends BaseService implements RepositoryInterface
{
    public function getDefaultOptionsSearch(): array
    {
        return [
            'with' => [],
            'join_with' => ['user AS user_quotation', 'producer'],
            'orderby' => 'date ASC',
            'attribute_id_producer' => 'quotation.id_producer'
        ];
    }
}