<?php

namespace common\logic\Order\ProductOrder;

use common\logic\BaseService;
use common\logic\Order\Order\Order;
use common\logic\RepositoryInterface;

class ProductOrderRepository extends BaseService implements RepositoryInterface
{
    public function getDefaultOptionsSearch(): array
    {
        return [
            'with' => ['taxRate'],
            'join_with' => [],
            'orderby' => '',
            'attribute_id_producer' => ''
        ];
    }

    public function findProductOrdersByOrder(Order $order): array
    {
        return ProductOrder::find()->where(['id_order' => $order->id])->all();
    }
}