<?php

namespace common\logic\PointSale\UserPointSale;

use common\logic\ContainerInterface;
use common\logic\PointSale\UserPointSale\UserPointSaleRepository;

class UserPointSaleContainer implements ContainerInterface
{
    public function getEntityFqcn(): string
    {
        return UserPointSale::class;
    }

    public function getServices(): array
    {
        return [
            UserPointSaleRepository::class,
            UserPointSaleBuilder::class,
        ];
    }

    public function getRepository(): UserPointSaleRepository
    {
        return new UserPointSaleRepository();
    }

    public function getBuilder(): UserPointSaleBuilder
    {
        return new UserPointSaleBuilder();
    }
}