<?php

namespace common\logic\Product\ProductCategory;

use common\logic\BaseBuilder;
use common\logic\BaseService;
use common\logic\BuilderInterface;

class ProductCategoryBuilder extends BaseBuilder implements BuilderInterface
{
    public function instanciateProductCategory(): ProductCategory
    {
        $productCategory = new ProductCategory();

        return $productCategory;
    }

    public function createProductCategory(): ProductCategory
    {
        $productCategory = $this->instanciateProductCategory();
        $this->saveCreate($productCategory);

        return $productCategory;
    }
}