<?php

namespace common\logic\Product\ProductPointSale;

use common\logic\BaseBuilder;
use common\logic\BuilderInterface;

class ProductPointSaleBuilder extends BaseBuilder implements BuilderInterface
{
    public function instanciateProductPointSale(): ProductPointSale
    {
        $productPointSale = new ProductPointSale();

        return $productPointSale;
    }

    public function createProductPointSale(): ProductPointSale
    {
        $productPointSale = $this->instanciateProductPointSale();
        $this->saveCreate($productPointSale);

        return $productPointSale;
    }
}