<?php

namespace common\logic\Product\ProductPointSale;

use common\logic\ContainerInterface;
use common\logic\Product\ProductPrice\ProductPointSaleRepository;

class ProductPointSaleContainer implements ContainerInterface
{
    public function getEntityFqcn(): string
    {
        return ProductPointSale::class;
    }

    public function getServices(): array
    {
        return [
            ProductPointSaleRepository::class,
            ProductPointSaleBuilder::class,
        ];
    }

    public function getRepository(): ProductPointSaleRepository
    {
        return new ProductPointSaleRepository();
    }

    public function getBuilder(): ProductPointSaleBuilder
    {
        return new ProductPointSaleBuilder();
    }
}